//MOON3.V by Heinz Schuller
// To render this file type vivid<x> moon3   (the <x> designates whatever
//                                            version of Vivid your running.)
//
#include hwscol.vc

studio {
        from 0 -10 4
	at 0 0 0
	up 0 0 1
        angle 60
        res 800 600
        antialias adaptive
        aspect 1.3333
	ambient white * .2
}

light {
	type point
        falloff 0
        position -50 -50 50
        color white
}


// landscape

surf {
        texture {
                pattern noise
                terms 3
                scale 1 1 1
                blend .2
                surf { diff .5 .5 .5  }
                surf { diff .35 .35 .35 }
        }
        bump {
                turbulence {
                        scale .05 .05 .05
                        offset 0 -4 0
                        amplitude .4
                        terms 4
                }
        }
}
transform { rotate -90 0 0 }
#include mscape.vo
transform_pop


// pad

transform { scale .8 translate 0 -5 -.2 }
#include pad.vo
transform_pop


// tower

transform { scale .4 rotate 0 0 0 translate -1 -1.8 2.6 }
#include tower.vo
transform_pop


// ship

transform { scale .15 rotate 0 0 45 translate -.88 -5 2 }
#include ship.vo
transform_pop


// planet

transform { scale .8 translate 10 25 0 }
#include planet.vo
transform_pop

